# Orders Configuration (DOMS)

DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.

## GET /api/cancelationreasons

> List cancelation reasons

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CancelationReasons":{"allOf":[{"$ref":"#/components/schemas/AbstractReasons"}],"properties":{"reasons":{"items":{"$ref":"#/components/schemas/CancelationReason"},"type":"array"}},"required":["reasons"],"type":"object","xml":{"name":"CancelationReasons"},"title":"CancelationReasons","description":"CancelationReasons"},"AbstractReasons":{"properties":{"hasNextPage":{"description":"True if there are more results after the current page","type":"boolean"},"reasons":{"items":{"$ref":"#/components/schemas/AbstractReason"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"required":["reasons","hasNextPage","total"],"type":"object","xml":{"name":"AbstractReasons"},"title":"AbstractReasons","description":"AbstractReasons"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"CancelationReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["CANCELATION"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"CancelationReason"},"title":"CancelationReason","description":"CancelationReason"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/cancelationreasons":{"get":{"description":"","operationId":"getCancelationReasons","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReasons"}}},"description":"Cancelation reasons were found & you were allowed to access them. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cancelation reason not found"}},"summary":"List cancelation reasons","tags":["Orders Configuration (DOMS)"]}}}}
```

## POST /api/cancelationreasons

> Create cancelation reason

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CancelationReasonForCreation":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"}],"type":"object","xml":{"name":"CancelationReasonForCreation"},"title":"CancelationReasonForCreation","description":"CancelationReasonForCreation"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CancelationReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["CANCELATION"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"CancelationReason"},"title":"CancelationReason","description":"CancelationReason"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/cancelationreasons":{"post":{"operationId":"postCancelationReason","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReasonForCreation"}}},"description":"Create new cancelation reason","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReason"}}},"description":"The cancelation reason has been successfully created. The Location header includes the URL of the document."},"303":{"description":"The Cancelation Reason already exists. The Location header contains the URL of the document."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create cancelation reason","tags":["Orders Configuration (DOMS)"]}}}}
```

## GET /api/cancelationreasons/{cancelationReasonId}

> Get cancelation reason

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CancelationReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["CANCELATION"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"CancelationReason"},"title":"CancelationReason","description":"CancelationReason"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/cancelationreasons/{cancelationReasonId}":{"get":{"description":"","operationId":"getCancelationReasonById","parameters":[{"description":"Id of the cancelation reason you wish to retrieve","in":"path","name":"cancelationReasonId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReason"}}},"description":"Cancelation reason was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cancelation reason not found"}},"summary":"Get cancelation reason","tags":["Orders Configuration (DOMS)"]}}}}
```

## PUT /api/cancelationreasons/{cancelationReasonId}

> Update cancelation reason

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CancelationReasonForModification":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForModification"}],"type":"object","xml":{"name":"CancelationReasonForModification"},"title":"CancelationReasonForModification","description":"CancelationReasonForModification"},"AbstractReasonForModification":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForModification"},"title":"AbstractReasonForModification","description":"AbstractReasonForModification"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"CancelationReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["CANCELATION"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"CancelationReason"},"title":"CancelationReason","description":"CancelationReason"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/cancelationreasons/{cancelationReasonId}":{"put":{"description":"","operationId":"putCancelationReason","parameters":[{"description":"ID of the cancelation reason you intend to modify","in":"path","name":"cancelationReasonId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReasonForModification"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelationReason"}}},"description":"Cancelation reason was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cancelation reason not found"}},"summary":"Update cancelation reason","tags":["Orders Configuration (DOMS)"]}}}}
```

## DELETE /api/cancelationreasons/{cancelationReasonId}

> Delete cancelation reason

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/cancelationreasons/{cancelationReasonId}":{"delete":{"description":"","operationId":"deleteCancelationReason","parameters":[{"description":"ID of the cancelation reason you intend to delete","in":"path","name":"cancelationReasonId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The cancelation reason was found, and you have been granted permission to delete it."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Cancelation reason not found"}},"summary":"Delete cancelation reason","tags":["Orders Configuration (DOMS)"]}}}}
```

## Get order cancelation config

> Get the order cancelation configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderCancelationConfiguration":{"additionalProperties":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />This configuration is to define specific rules for canceling orders such as the forced cancelation.","properties":{"allowForceCancelOrder":{"type":"boolean"},"created":{"description":"The date this configuration was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","allowForceCancelOrder"],"type":"object","title":"OrderCancelationConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/ordercancelation":{"get":{"description":"Get the order cancelation configuration.","operationId":"getOrderCancelationConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCancelationConfiguration"}}},"description":"The Order Cancelation Configuration can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get order cancelation config","tags":["Orders Configuration (DOMS)"]}}}}
```

## Update order cancelation config

> Update the order cancelation configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderCancelationConfiguration":{"additionalProperties":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />This configuration is to define specific rules for canceling orders such as the forced cancelation.","properties":{"allowForceCancelOrder":{"type":"boolean"},"created":{"description":"The date this configuration was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","allowForceCancelOrder"],"type":"object","title":"OrderCancelationConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/ordercancelation":{"put":{"description":"Update the order cancelation configuration.","operationId":"putOrderCancelationConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCancelationConfiguration"}}},"description":"Desired order cancelation configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCancelationConfiguration"}}},"description":"The order cancelation configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderCancelationConfiguration"}}},"description":"The order cancelation configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update order cancelation config","tags":["Orders Configuration (DOMS)"]}}}}
```

## Get order modification config

> Get the order modification configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderModificationConfiguration":{"additionalProperties":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />This configuration is to define specific rules for modifying orders after order creation.","properties":{"allowOrderLineItemModification":{"type":"boolean"},"created":{"description":"The date this configuration was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","allowOrderLineItemModification"],"type":"object","title":"OrderModificationConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/ordermodification":{"get":{"description":"Get the order modification configuration.","operationId":"getOrderModificationConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderModificationConfiguration"}}},"description":"The Order Modification Configuration can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get order modification config","tags":["Orders Configuration (DOMS)"]}}}}
```

## Update order modification config

> Update the order modification configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderModificationConfiguration":{"additionalProperties":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />This configuration is to define specific rules for modifying orders after order creation.","properties":{"allowOrderLineItemModification":{"type":"boolean"},"created":{"description":"The date this configuration was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","allowOrderLineItemModification"],"type":"object","title":"OrderModificationConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/ordermodification":{"put":{"description":"Update the order modification configuration.","operationId":"putOrderModificationConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderModificationConfiguration"}}},"description":"Desired order modification configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderModificationConfiguration"}}},"description":"The order modification configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderModificationConfiguration"}}},"description":"The order modification configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update order modification config","tags":["Orders Configuration (DOMS)"]}}}}
```

## GET /api/configurations/promises

> List promises

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PromisesConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"invalidAfterTime":{"default":"PT8H","description":"Default amount of time in ISO 8601 duration format after which an promised order becomes invalid and is cancelled. The duration need to be a multiple of 60 seconds.","pattern":"^P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"}},"required":["invalidAfterTime"],"title":"PromisesConfiguration","description":"PromisesConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/promises":{"get":{"description":"","operationId":"getPromisesConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromisesConfiguration"}}},"description":"Promises configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Promises configuration not found"}},"summary":"List promises","tags":["Orders Configuration (DOMS)"]}}}}
```

## PUT /api/configurations/promises

> Change promises config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"PromisesConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"invalidAfterTime":{"default":"PT8H","description":"Default amount of time in ISO 8601 duration format after which an promised order becomes invalid and is cancelled. The duration need to be a multiple of 60 seconds.","pattern":"^P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"}},"required":["invalidAfterTime"],"title":"PromisesConfiguration","description":"PromisesConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/promises":{"put":{"description":"","operationId":"putPromisesConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromisesConfiguration"}}},"description":"Desired promises configuration to put","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromisesConfiguration"}}},"description":"The promisesConfiguration was successfully put."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Change promises config","tags":["Orders Configuration (DOMS)"]}}}}
```

## Get order tag configuration

> Get the order tag configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"OrderTagConfiguration","description":"OrderTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/order":{"get":{"description":"Get the order tag configuration.","operationId":"getOrderTagConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"order tag config is in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get order tag configuration","tags":["Orders Configuration (DOMS)"]}}}}
```

## Update order tag configuration

> Update the order tag configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"DOMS endpoints to define and manage configuration settings related to order processing, such as defaults, business rules, and operational parameters that influence how orders are handled.","name":"Orders Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderTagConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"},{"$ref":"#/components/schemas/TagConfiguration"}],"properties":{"stickerConfiguration":{"$ref":"#/components/schemas/StickerConfiguration"}},"title":"OrderTagConfiguration","description":"OrderTagConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"TagConfiguration":{"properties":{"offeredDocumentsByDefault":{"description":"This configuration is a fallback and applies only if none of the entries in offeredDocumentsPerTag can be applied","items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"offeredDocumentsPerTag":{"description":"All entries with a match in their matchingValues will be combined when determining what documents belong to an entity","items":{"$ref":"#/components/schemas/OfferedDocumentPerTag"},"maxItems":500,"type":"array"}},"required":["offeredDocumentsPerTag","offeredDocumentsByDefault"],"title":"TagConfiguration","description":"TagConfiguration"},"OfferedDocument":{"properties":{"documentCategory":{"$ref":"#/components/schemas/DocumentCategory"}},"required":["documentCategory"],"type":"object","title":"OfferedDocument","description":"OfferedDocument"},"DocumentCategory":{"enum":["EXTERNAL","DELIVERYNOTE","RETURNNOTE","SENDLABEL","RETURNLABEL","TRANSFERLABEL","CUSTOMS"],"type":"string","title":"DocumentCategory","description":"DocumentCategory"},"OfferedDocumentPerTag":{"properties":{"matchingValues":{"items":{"minItems":1,"type":"string"},"maxItems":500,"type":"array"},"offeredDocuments":{"items":{"$ref":"#/components/schemas/OfferedDocument"},"maxItems":500,"type":"array"},"tagRef":{"type":"string"}},"required":["offeredDocuments","matchingValues","tagRef"],"type":"object","title":"OfferedDocumentPerTag","description":"OfferedDocumentPerTag"},"StickerConfiguration":{"additionalProperties":false,"properties":{"offeredStickersByTag":{"items":{"$ref":"#/components/schemas/OfferedStickersByTag"},"maxItems":500,"type":"array"}},"title":"StickerConfiguration","description":"StickerConfiguration"},"OfferedStickersByTag":{"additionalProperties":false,"properties":{"matchingValues":{"items":{"type":"string"},"maxItems":500,"minItems":1,"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":500,"minItems":1,"type":"array"},"tagRef":{"type":"string"}},"required":["tagRef","matchingValues","stickers"],"type":"object","title":"OfferedStickersByTag","description":"OfferedStickersByTag"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/tags/order":{"put":{"description":"Update the order tag configuration.","operationId":"putOrderTagConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"Desired Tag Configuration for orders","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderTagConfiguration"}}},"description":"The order tag configuration was successfully updated."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update order tag configuration","tags":["Orders Configuration (DOMS)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/orders-configuration-doms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
